org.jgroups.blocks

## Class ReplCache.Value<V>

- java.lang.Object
- - org.jgroups.blocks.ReplCache.Value<V>

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ReplCache<K,V>

    public static class ReplCache.Value<V>
    extends java.lang.Object
    implements java.io.Serializable

Uses arrays to store hash values of addresses, plus addresses.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReplCache.Value(V val, short replication_count)`

### Method Summary

Methods
`short` `getReplicationCount()`
`V` `getVal()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReplCache.Value

    public ReplCache.Value(V val,
                   short replication_count)

### Method Detail

#### getVal

    public V getVal()

#### getReplicationCount

    public short getReplicationCount()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`